TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

TransformationMatrix ( ord^fun O, ord^fun P ) -> elt-alg^mat, elt-rng

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> The transformation matrix from order O to order P, as an integral matrix and denominator (expressing what a vector element of O should be multplied by to obtain the corresponding vector element of P). </shortdoc>

### Examples

x_f5 := FiniteField(5); x_f5t := PolynomialAlgebra(x_f5); x_f5ty := PolynomialAlgebra(x_f5t); x_k := FunctionField(x_f5ty.1^4-x_f5t.1^5); x_o := EquationOrderFinite(x_k); x_O := MaximalOrderFinite(x_k); TransformationMatrix(x_o,x_O);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack